Bug 472666 - Review Request: perl-DateTime-Format-Natural - Create machine readable date/time with natural parsing logic
Summary: Review Request: perl-DateTime-Format-Natural - Create machine readable date/t...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-11-23 08:29 UTC by Iain Arnell
Modified: 2008-11-27 02:13 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-27 02:10:49 UTC
Type: ---
panemade: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Iain Arnell 2008-11-23 08:29:10 UTC
Spec URL: http://iarnell.fedorapeople.org/perl-DateTime-Format-Natural.spec
SRPM URL: http://iarnell.fedorapeople.org/perl-DateTime-Format-Natural-0.73-1.fc9.src.rpm
Description: 
DateTime::Format::Natural takes a string with a human readable date/time
and creates a machine readable one by applying natural parsing logic.

This is one of several requirements for perl-Catalyst-Controller-HTML-FormFu.

Comment 1 Parag AN(पराग) 2008-11-23 10:07:14 UTC
Review:
+ package builds in mock (development i386).
koji build=> http://koji.fedoraproject.org/koji/taskinfo?taskID=946139
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
d5ca703d49ee23e85741d2da1dceeb31  DateTime-Format-Natural-0.73.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
All tests successful.
Files=9, Tests=248,  8 wallclock secs ( 0.07 usr  0.00 sys +  3.93 cusr  0.07 csys =  4.07 CPU)
+ Package perl-DateTime-Format-Natural-0.73-1.fc11 =>
Provides: perl(DateTime::Format::Natural) = 0.73 perl(DateTime::Format::Natural::Base) = 1.15 perl(DateTime::Format::Natural::Lang::Base) = 0.9 perl(DateTime::Format::Natural::Lang::EN) = 1.12

Requires: /usr/bin/perl perl(Carp) perl(Date::Calc) perl(DateTime) perl(DateTime::Format::Natural) perl(Getopt::Long) perl(List::MoreUtils) perl(Params::Validate) perl(Term::ReadLine) perl(base) perl(boolean) perl(constant) perl(strict) perl(warnings)

APPROVED.

Comment 2 Iain Arnell 2008-11-23 12:38:52 UTC
New Package CVS Request
=======================
Package Name: perl-DateTime-Format-Natural
Short Description: Create machine readable date/time with natural parsing logic
Owners: iarnell
Branches: F-9 F-10
InitialCC: perl-sig

Comment 3 Dennis Gilmore 2008-11-25 16:46:10 UTC
CVS Done

Comment 4 Fedora Update System 2008-11-26 14:32:42 UTC
perl-DateTime-Format-Natural-0.73-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-DateTime-Format-Natural-0.73-1.fc10

Comment 5 Fedora Update System 2008-11-26 14:32:46 UTC
perl-DateTime-Format-Natural-0.73-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/perl-DateTime-Format-Natural-0.73-1.fc9

Comment 6 Fedora Update System 2008-11-27 02:10:46 UTC
perl-DateTime-Format-Natural-0.73-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2008-11-27 02:13:36 UTC
perl-DateTime-Format-Natural-0.73-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.